# H235_V3KeySyncMaterial Class Reference

`#include <h235.h>`

Inheritance diagram for H235_V3KeySyncMaterial:

List of all members.

## Public Types

enum | OptionalFields { e_generalID, e_algorithmOID, e_encryptedSessionKey, e_encryptedSaltingKey, e_clearSaltingKey, e_paramSsalt, e_keyDerivationOID, e_genericKeyMaterial }

## Public Member Functions

| H235_V3KeySyncMaterial (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H235_Identifier | m_generalID
PASN_ObjectId | m_algorithmOID
H235_Params | m_paramS
PASN_OctetString | m_encryptedSessionKey
PASN_OctetString | m_encryptedSaltingKey
PASN_OctetString | m_clearSaltingKey
H235_Params | m_paramSsalt
PASN_ObjectId | m_keyDerivationOID
PASN_OctetString | m_genericKeyMaterial

## Member Enumeration Documentation

enum H235_V3KeySyncMaterial::OptionalFields

Enumerator:

  e_generalID |
  e_algorithmOID |
  e_encryptedSessionKey |
  e_encryptedSaltingKey |
  e_clearSaltingKey |
  e_paramSsalt |
  e_keyDerivationOID |
  e_genericKeyMaterial |

## Constructor & Destructor Documentation

H235_V3KeySyncMaterial::H235_V3KeySyncMaterial | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_V3KeySyncMaterial::GetDataLength | ( |  | ) | const

PBoolean H235_V3KeySyncMaterial::Decode | ( | PASN_Stream & | strm | ) |

void H235_V3KeySyncMaterial::Encode | ( | PASN_Stream & | strm | ) | const

void H235_V3KeySyncMaterial::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_V3KeySyncMaterial::Compare | ( | const PObject & | obj | ) | const

PObject* H235_V3KeySyncMaterial::Clone | ( |  | ) | const

## Member Data Documentation

H235_Identifier H235_V3KeySyncMaterial::m_generalID

PASN_ObjectId H235_V3KeySyncMaterial::m_algorithmOID

H235_Params H235_V3KeySyncMaterial::m_paramS

PASN_OctetString H235_V3KeySyncMaterial::m_encryptedSessionKey

PASN_OctetString H235_V3KeySyncMaterial::m_encryptedSaltingKey

PASN_OctetString H235_V3KeySyncMaterial::m_clearSaltingKey

H235_Params H235_V3KeySyncMaterial::m_paramSsalt

PASN_ObjectId H235_V3KeySyncMaterial::m_keyDerivationOID

PASN_OctetString H235_V3KeySyncMaterial::m_genericKeyMaterial

The documentation for this class was generated from the following file:

- h235.h